// ==UserScript==
// @name         Style-Webtoons
// @namespace    code.sitosis.com
// @version      1.0
// @description  Style Webtoons
// @author       rudism
// @match        https://m.webtoons.com/*
// @grant        none
// @run-at       document-end
// ==/UserScript==

function injectStyle(css) {
  var style = document.createElement('style');
  style.innerHTML = css;
  var body = document.getElementsByTagName('body');
  if(body.length > 0) {
    body[0].appendChild(style);
  }
}

(function () {
  'use strict';
  injectStyle(`
#_viewer {
  height: auto !important;
}
#_viewer .flick-ct img {
  width: 30%;
  height: auto;
}`);
})();
